import React from 'react';
import './s-statistics.scss';
import AppActions from '../actions/AppActions';
import ItemsStore from '../stores/ItemsStore';

let { Component } = React;

function getAppState() {
  return {
    items: ItemsStore.getAll()
  };
}

export default class Button extends Component {

  state = getAppState();

  componentDidMount() {
    ItemsStore.addChangeListener(this.onChange);
    AppActions.getItems();
  }

  componentWillUnmount() {
    ItemsStore.removeChangeListener(this.onChange);
  }

  onChange = () => {
    this.setState(getAppState());
  };

  render() {
    return (
      <span className='statistics'>
        {this.state.items}
      </span>
    );
  }
};
